<?php

/******************
 * WINDOWS PHONE 7
 ******************/
 
class windowsPhone
{
	var $title='';
	var $contents=null;
	var $mail=null;
	var $css=null;
	var $js=null;
	var $bg=null;
	var $accueil=false;
	
	var $pos=0;
	
	//Internal params
	function addTitle($title='')
	{
		$this->title=$title;
	}
	
	function addMail($mail)
	{ 
		$this->mail=$mail;
	}
	
	function addContent($title, $page, $icon=null)
	{
		if($this->accueil)
		{
			if(!$this->contents['Home']) $this->contents['Home']='<ul>';
			$this->contents['Home'].='<li';
			if($icon) $this->contents['Home'].=' style="list-style-image : url('.$icon.')"';
			$this->contents['Home'].='>';
			
			$this->pos++;
			
			$this->contents['Home'].='
			<a href="#" onclick="moveMenu('.$this->pos.',1);">
			'.$title.'</a>';
			
			$retour.='</li>';
		}
		$this->contents[$title]=$page;
		
	}
	
	function setBackground($path)
	{
		$this->bg=$path;
	}
	
	//Making lists
	function startList()
	{
		?><ul><?php
	}
	
	function endList()
	{
		?></ul><?php
	}
	
	function addList($text,$icon=null,$sous1=null,$sous2=null)
	{
		$retour='<li'.($icon?' style="list-style-image : url('.$icon.');"':'').'>'.$text.'</li>';
		if($sous1)
		{
			$retour.='<div class="sous1">'.$sous1.'</div>';
		}
		if($sous2)
		{
			$retour.='<div class="sous2">'.$sous2.'</div>';
		}	   

        return $retour;
	}
	
	function setList($text,$icon=null,$contenu=null)
	{
		$retour='<li';
		if($icon) $retour.=' style="list-style-image : url('.$icon.')"';
		$retour.='>';
		
		if($contenu)
		{
			$retour.='
			<a href="#" onclick="toggleContenu(this);">
			'.$text.'</a>
			<div class="contenu" style="display:none;position:relative">'.$contenu.'</div>
			';
		}
		else
		{
			$retour.=$text;
		}
		
		$retour.='</li>';
		
		return $retour;
	}
	
	//Affichage
	function listJs()
	{
		$files=null;
		$folder="7framework/js/";
		$dir = './'.$folder;
		
		if(is_dir($dir))
		{
			$dh  = opendir($dir);
			while (false !== ($filename = readdir($dh))) {
				if(is_file($dir.$filename))
				{
					$files[] = $filename;
				}
			}
			sort($files);
			
			for($i=0;$i<count($files);$i++)
			{
				?>
				<script type="text/javascript" src="<?php echo $folder.$files[$i] ?>"></script>
				<?php
			}
		}
	}
	
	//Listing des galeries
	function listGalleries($titre,$view)
	{
		$files=null;
		$folder="7framework/img/galleries/";
		$dir = './'.$folder;
		$this->contents=null;
		$this->addTitle($titre);
		
		if(is_dir($dir))
		{
			$dh  = opendir($dir);
			while (false !== ($filename = readdir($dh))) {
				if(is_dir($dir.$filename) && $filename!='.' && $filename!='..')
				{
					$files[] = $filename;
				}
			}
			sort($files);
			
			for($i=0;$i<count($files);$i++)
			{
				$this->addContent($files[$i],'<ul><li><a href="?gallery='.$files[$i].'">'.$view.'</a></li></ul>');
			}
		}
		
		$this->displayPage();
	}
	
	// Affichage d'une galerie
	function showGallery($titre)
	{
		$files=null;
		$folder="7framework/img/galleries/".$titre.'/';
		$dir = './'.$folder;
		$this->contents=null;
		$this->addTitle($titre);
		
		if(is_dir($dir))
		{
			$dh  = opendir($dir);
			while (false !== ($filename = readdir($dh))) {
				if(is_file($dir.$filename))
				{
					$files[] = $filename;
				}
			}
			sort($files);
			
			for($i=0;$i<count($files);$i++)
			{
				$sstitre=str_replace('_',' ',substr($files[$i],0,strlen($files[$i])-4));
				$this->addContent($sstitre,'<img src="'.$folder.'/'.$files[$i].'" width="100%"/>');
			}
		}
		
		$this->displayPage();
	}
	
	function displayPage()
	{
		//Title
		?><html>
<head>
<title><?php echo strip_tags($this->title) ?></title>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="mobileoptimized" content="480" />
<meta name="HandheldFriendly" content="true" />
<meta name="viewport" content="width=device-width, height=device-height, initial-scale=1, maximum-scale=1, user-scalable=0"/>

<link rel="icon" type="image/png" href="http://www.aurelien-stride.fr/_imgdock/7-128-full.png" />
<link rel="image_src" href="http://www.aurelien-stride.fr/_imgdock/7-128-full.jpg" />
<meta property="og:image" content="http://www.aurelien-stride.fr/_imgdock/7-128-full.jpg" />
<?php
	$this->listJs();
?>
<link rel="stylesheet" type="text/css" href="7framework/css/framework.css"/>
<link href="7framework/css/framework_h.css" title="hcss" type="text/css" rel="stylesheet" />
</head>
<body class="typeface-js" style="font-family: 'Segoe UI'">

		<div id="chargement">
		<?php
			for($i=0;$i<5;$i++)
			{
			?>
			<div class="chargement">&nbsp;</div>
			<?php
			}
		?>
		</div>
		
		<div id="options">
			<img src="7framework/img/button/search.png" title="Rechercher" onclick="toggleSearch();"/>
			<img src="7framework/img/button/mail.png" title="Contacter" onclick="document.location.href='mailto:<?php echo $this->mail ?>';"/>
		</div>
		
		<div id="recherche">
			<div style="position:relative;text-align:center;">
			<input type="text" style="" id="text" onkeypress="Rechercher('resultat','text');"/><br/>
			<!-- <a href="#" onclick="Rechercher('resultat','text');"><img src="7framework/img/button/search.png" title="Rechercher"/></a> -->
			<a href="#" onclick="hideSearch();"><img src="7framework/img/button/close.png" title="Fermer"/></a>
			</div>
			<br/>
			<div id="resultat" style="position:relative"></div>
		</div>
		
		<div id="control">
			<img id="T" src="7framework/img/button/T.png" alt="A"/>
			<img id="L" src="7framework/img/button/L.png" alt="&lt;"/>
			<img id="R" src="7framework/img/button/R.png" alt="&gt;"/>
			<img id="B" src="7framework/img/button/B.png" alt="V"/>
		</div>
		
		<div id="main">
		
		</div>
		<div id="menus">
			<div id="titletop">
				<?php echo strtolower($this->title) ?>
			</div>
			<?php
			
			//menus
			if($this->contents)
			{
				?>
				
				<?php

				foreach($this->contents as $title=>$page)
				{
					?>
					<div class="menu">
						<?php echo $title ?>
					</div>
					<?php
				}
				
				
			}
		
		?>
		</div>
		<?php
		
		//contents
		if($this->contents)
		{
			$i=0;
			foreach($this->contents as $title=>$page)
			{
				?>
				<div class="contenumenu">
				<?php 
				
				if($this->accueil && $i>0)
					echo '<ul><li style="list-style-image : url(7framework/img/button/back.png)"><a href="#" onclick="moveMenu(-'.$i.',1);"><i>Back to home menu</i></a></li></ul><hr/>';
				
				if(is_file('./7framework/php/pages/'.$page))	
					include './7framework/php/pages/'.$page; 
				else 
					echo $page.'&nbsp;';
					
				//Lien retour				
				if($this->accueil && $i>0)
					echo '<hr/><ul><li style="list-style-image : url(7framework/img/button/back.png)"><a href="#" onclick="moveMenu(-'.$i.',1);">Back to home menu</a></li></ul>';
				
				$i++;
				
				?>
				</div>
				<?php
			}
		}
		
		//Fond mémorisé
		$bg=$this->bg;
		if(!$this->bg)
		{
			$folder="img/bg/";
			$dir = '7framework/'.$folder;
			if(is_dir($dir))
			{
				$dh  = opendir($dir);
				while (false !== ($filename = readdir($dh))) {
					$files[] = $filename;
				}
				sort($files);
				$bg=$folder.$files[rand(2,count($files)-2)];
			}
		}
		
				
		?>
		<input type="hidden" id="bg" value="<?php echo $bg ?>"/>


	</body>
</html>
		<?php
	}
}
